// Code generated by protoc-gen-go. DO NOT EDIT.
// source: stock_query.proto

package proto_buffer

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Error struct {
	Error                string   `protobuf:"bytes,1,opt,name=error,proto3" json:"error,omitempty"`
	Code                 int64    `protobuf:"varint,2,opt,name=code,proto3" json:"code,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Error) Reset()         { *m = Error{} }
func (m *Error) String() string { return proto.CompactTextString(m) }
func (*Error) ProtoMessage()    {}
func (*Error) Descriptor() ([]byte, []int) {
	return fileDescriptor_5655d5db0698929e, []int{0}
}

func (m *Error) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Error.Unmarshal(m, b)
}
func (m *Error) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Error.Marshal(b, m, deterministic)
}
func (m *Error) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Error.Merge(m, src)
}
func (m *Error) XXX_Size() int {
	return xxx_messageInfo_Error.Size(m)
}
func (m *Error) XXX_DiscardUnknown() {
	xxx_messageInfo_Error.DiscardUnknown(m)
}

var xxx_messageInfo_Error proto.InternalMessageInfo

func (m *Error) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func (m *Error) GetCode() int64 {
	if m != nil {
		return m.Code
	}
	return 0
}

type Stock struct {
	Uuid                 string               `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	PhysicalQuantity     int64                `protobuf:"varint,2,opt,name=physicalQuantity,proto3" json:"physicalQuantity,omitempty"`
	VirtualQuantity      int64                `protobuf:"varint,3,opt,name=virtualQuantity,proto3" json:"virtualQuantity,omitempty"`
	ProductId            string               `protobuf:"bytes,4,opt,name=productId,proto3" json:"productId,omitempty"`
	DamagedQuantity      int64                `protobuf:"varint,5,opt,name=damagedQuantity,proto3" json:"damagedQuantity,omitempty"`
	CreateAt             *timestamp.Timestamp `protobuf:"bytes,6,opt,name=create_at,json=createAt,proto3" json:"create_at,omitempty"`
	UpdateAt             *timestamp.Timestamp `protobuf:"bytes,7,opt,name=update_at,json=updateAt,proto3" json:"update_at,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *Stock) Reset()         { *m = Stock{} }
func (m *Stock) String() string { return proto.CompactTextString(m) }
func (*Stock) ProtoMessage()    {}
func (*Stock) Descriptor() ([]byte, []int) {
	return fileDescriptor_5655d5db0698929e, []int{1}
}

func (m *Stock) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Stock.Unmarshal(m, b)
}
func (m *Stock) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Stock.Marshal(b, m, deterministic)
}
func (m *Stock) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Stock.Merge(m, src)
}
func (m *Stock) XXX_Size() int {
	return xxx_messageInfo_Stock.Size(m)
}
func (m *Stock) XXX_DiscardUnknown() {
	xxx_messageInfo_Stock.DiscardUnknown(m)
}

var xxx_messageInfo_Stock proto.InternalMessageInfo

func (m *Stock) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *Stock) GetPhysicalQuantity() int64 {
	if m != nil {
		return m.PhysicalQuantity
	}
	return 0
}

func (m *Stock) GetVirtualQuantity() int64 {
	if m != nil {
		return m.VirtualQuantity
	}
	return 0
}

func (m *Stock) GetProductId() string {
	if m != nil {
		return m.ProductId
	}
	return ""
}

func (m *Stock) GetDamagedQuantity() int64 {
	if m != nil {
		return m.DamagedQuantity
	}
	return 0
}

func (m *Stock) GetCreateAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreateAt
	}
	return nil
}

func (m *Stock) GetUpdateAt() *timestamp.Timestamp {
	if m != nil {
		return m.UpdateAt
	}
	return nil
}

type StockResponse struct {
	Stock                *Stock   `protobuf:"bytes,1,opt,name=stock,proto3" json:"stock,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StockResponse) Reset()         { *m = StockResponse{} }
func (m *StockResponse) String() string { return proto.CompactTextString(m) }
func (*StockResponse) ProtoMessage()    {}
func (*StockResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_5655d5db0698929e, []int{2}
}

func (m *StockResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StockResponse.Unmarshal(m, b)
}
func (m *StockResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StockResponse.Marshal(b, m, deterministic)
}
func (m *StockResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StockResponse.Merge(m, src)
}
func (m *StockResponse) XXX_Size() int {
	return xxx_messageInfo_StockResponse.Size(m)
}
func (m *StockResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StockResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StockResponse proto.InternalMessageInfo

func (m *StockResponse) GetStock() *Stock {
	if m != nil {
		return m.Stock
	}
	return nil
}

func (m *StockResponse) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

type StocksResponse struct {
	Stocks               []*Stock `protobuf:"bytes,1,rep,name=stocks,proto3" json:"stocks,omitempty"`
	Error                *Error   `protobuf:"bytes,2,opt,name=error,proto3" json:"error,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StocksResponse) Reset()         { *m = StocksResponse{} }
func (m *StocksResponse) String() string { return proto.CompactTextString(m) }
func (*StocksResponse) ProtoMessage()    {}
func (*StocksResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_5655d5db0698929e, []int{3}
}

func (m *StocksResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StocksResponse.Unmarshal(m, b)
}
func (m *StocksResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StocksResponse.Marshal(b, m, deterministic)
}
func (m *StocksResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StocksResponse.Merge(m, src)
}
func (m *StocksResponse) XXX_Size() int {
	return xxx_messageInfo_StocksResponse.Size(m)
}
func (m *StocksResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StocksResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StocksResponse proto.InternalMessageInfo

func (m *StocksResponse) GetStocks() []*Stock {
	if m != nil {
		return m.Stocks
	}
	return nil
}

func (m *StocksResponse) GetError() *Error {
	if m != nil {
		return m.Error
	}
	return nil
}

type QueryPaginationRequest struct {
	Page                 int64    `protobuf:"varint,1,opt,name=page,proto3" json:"page,omitempty"`
	Size                 int64    `protobuf:"varint,2,opt,name=size,proto3" json:"size,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *QueryPaginationRequest) Reset()         { *m = QueryPaginationRequest{} }
func (m *QueryPaginationRequest) String() string { return proto.CompactTextString(m) }
func (*QueryPaginationRequest) ProtoMessage()    {}
func (*QueryPaginationRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_5655d5db0698929e, []int{4}
}

func (m *QueryPaginationRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QueryPaginationRequest.Unmarshal(m, b)
}
func (m *QueryPaginationRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QueryPaginationRequest.Marshal(b, m, deterministic)
}
func (m *QueryPaginationRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QueryPaginationRequest.Merge(m, src)
}
func (m *QueryPaginationRequest) XXX_Size() int {
	return xxx_messageInfo_QueryPaginationRequest.Size(m)
}
func (m *QueryPaginationRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_QueryPaginationRequest.DiscardUnknown(m)
}

var xxx_messageInfo_QueryPaginationRequest proto.InternalMessageInfo

func (m *QueryPaginationRequest) GetPage() int64 {
	if m != nil {
		return m.Page
	}
	return 0
}

func (m *QueryPaginationRequest) GetSize() int64 {
	if m != nil {
		return m.Size
	}
	return 0
}

type QueryByIdRequest struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *QueryByIdRequest) Reset()         { *m = QueryByIdRequest{} }
func (m *QueryByIdRequest) String() string { return proto.CompactTextString(m) }
func (*QueryByIdRequest) ProtoMessage()    {}
func (*QueryByIdRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_5655d5db0698929e, []int{5}
}

func (m *QueryByIdRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QueryByIdRequest.Unmarshal(m, b)
}
func (m *QueryByIdRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QueryByIdRequest.Marshal(b, m, deterministic)
}
func (m *QueryByIdRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QueryByIdRequest.Merge(m, src)
}
func (m *QueryByIdRequest) XXX_Size() int {
	return xxx_messageInfo_QueryByIdRequest.Size(m)
}
func (m *QueryByIdRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_QueryByIdRequest.DiscardUnknown(m)
}

var xxx_messageInfo_QueryByIdRequest proto.InternalMessageInfo

func (m *QueryByIdRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

type QuerySearchRequest struct {
	Uuid                 string               `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	InitialCreationDate  *timestamp.Timestamp `protobuf:"bytes,2,opt,name=initial_creation_date,json=initialCreationDate,proto3" json:"initial_creation_date,omitempty"`
	FinalCreationDate    *timestamp.Timestamp `protobuf:"bytes,3,opt,name=final_creation_date,json=finalCreationDate,proto3" json:"final_creation_date,omitempty"`
	InitialChangeDate    *timestamp.Timestamp `protobuf:"bytes,4,opt,name=initial_change_date,json=initialChangeDate,proto3" json:"initial_change_date,omitempty"`
	FinalChangeDate      *timestamp.Timestamp `protobuf:"bytes,5,opt,name=final_change_date,json=finalChangeDate,proto3" json:"final_change_date,omitempty"`
	ProductId            string               `protobuf:"bytes,6,opt,name=productId,proto3" json:"productId,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *QuerySearchRequest) Reset()         { *m = QuerySearchRequest{} }
func (m *QuerySearchRequest) String() string { return proto.CompactTextString(m) }
func (*QuerySearchRequest) ProtoMessage()    {}
func (*QuerySearchRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_5655d5db0698929e, []int{6}
}

func (m *QuerySearchRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QuerySearchRequest.Unmarshal(m, b)
}
func (m *QuerySearchRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QuerySearchRequest.Marshal(b, m, deterministic)
}
func (m *QuerySearchRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QuerySearchRequest.Merge(m, src)
}
func (m *QuerySearchRequest) XXX_Size() int {
	return xxx_messageInfo_QuerySearchRequest.Size(m)
}
func (m *QuerySearchRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_QuerySearchRequest.DiscardUnknown(m)
}

var xxx_messageInfo_QuerySearchRequest proto.InternalMessageInfo

func (m *QuerySearchRequest) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *QuerySearchRequest) GetInitialCreationDate() *timestamp.Timestamp {
	if m != nil {
		return m.InitialCreationDate
	}
	return nil
}

func (m *QuerySearchRequest) GetFinalCreationDate() *timestamp.Timestamp {
	if m != nil {
		return m.FinalCreationDate
	}
	return nil
}

func (m *QuerySearchRequest) GetInitialChangeDate() *timestamp.Timestamp {
	if m != nil {
		return m.InitialChangeDate
	}
	return nil
}

func (m *QuerySearchRequest) GetFinalChangeDate() *timestamp.Timestamp {
	if m != nil {
		return m.FinalChangeDate
	}
	return nil
}

func (m *QuerySearchRequest) GetProductId() string {
	if m != nil {
		return m.ProductId
	}
	return ""
}

func init() {
	proto.RegisterType((*Error)(nil), "stock_query.Error")
	proto.RegisterType((*Stock)(nil), "stock_query.Stock")
	proto.RegisterType((*StockResponse)(nil), "stock_query.StockResponse")
	proto.RegisterType((*StocksResponse)(nil), "stock_query.StocksResponse")
	proto.RegisterType((*QueryPaginationRequest)(nil), "stock_query.QueryPaginationRequest")
	proto.RegisterType((*QueryByIdRequest)(nil), "stock_query.QueryByIdRequest")
	proto.RegisterType((*QuerySearchRequest)(nil), "stock_query.QuerySearchRequest")
}

func init() {
	proto.RegisterFile("stock_query.proto", fileDescriptor_5655d5db0698929e)
}

var fileDescriptor_5655d5db0698929e = []byte{
	// 569 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x94, 0x93, 0x4f, 0x6f, 0xd3, 0x4c,
	0x10, 0xc6, 0xdf, 0xfc, 0x71, 0xda, 0x4c, 0xf2, 0xb6, 0xcd, 0x16, 0x50, 0x14, 0x40, 0x8d, 0x8c,
	0x84, 0xa2, 0x1e, 0x52, 0x11, 0x0e, 0x5c, 0x49, 0x0b, 0x85, 0x22, 0x40, 0xad, 0xcb, 0x89, 0x4b,
	0xb4, 0xb1, 0x37, 0xce, 0x8a, 0x64, 0xd7, 0x5d, 0xaf, 0x91, 0xc2, 0x57, 0xe2, 0x3b, 0xf0, 0xb1,
	0x38, 0xa3, 0x9d, 0x75, 0x52, 0xc7, 0x2e, 0xb5, 0xb8, 0xad, 0xc7, 0xcf, 0xf3, 0xdb, 0xf1, 0xcc,
	0x63, 0xe8, 0xc4, 0x5a, 0xfa, 0xdf, 0x26, 0x37, 0x09, 0x53, 0xab, 0x61, 0xa4, 0xa4, 0x96, 0xa4,
	0x95, 0x29, 0xf5, 0x8e, 0x42, 0x29, 0xc3, 0x05, 0x3b, 0xc1, 0x57, 0xd3, 0x64, 0x76, 0xa2, 0xf9,
	0x92, 0xc5, 0x9a, 0x2e, 0x23, 0xab, 0x76, 0x5f, 0x80, 0xf3, 0x56, 0x29, 0xa9, 0xc8, 0x03, 0x70,
	0x98, 0x39, 0x74, 0x2b, 0xfd, 0xca, 0xa0, 0xe9, 0xd9, 0x07, 0x42, 0xa0, 0xee, 0xcb, 0x80, 0x75,
	0xab, 0xfd, 0xca, 0xa0, 0xe6, 0xe1, 0xd9, 0xfd, 0x59, 0x05, 0xe7, 0xda, 0xdc, 0x61, 0xde, 0x26,
	0x09, 0x0f, 0x52, 0x0b, 0x9e, 0xc9, 0x31, 0x1c, 0x44, 0xf3, 0x55, 0xcc, 0x7d, 0xba, 0xb8, 0x4a,
	0xa8, 0xd0, 0x5c, 0xaf, 0x52, 0x77, 0xa1, 0x4e, 0x06, 0xb0, 0xff, 0x9d, 0x2b, 0x9d, 0x64, 0xa4,
	0x35, 0x94, 0xe6, 0xcb, 0xe4, 0x09, 0x34, 0x23, 0x25, 0x83, 0xc4, 0xd7, 0x17, 0x41, 0xb7, 0x8e,
	0xd7, 0xdd, 0x16, 0x0c, 0x27, 0xa0, 0x4b, 0x1a, 0xb2, 0x60, 0xc3, 0x71, 0x2c, 0x27, 0x57, 0x26,
	0xaf, 0xa0, 0xe9, 0x2b, 0x46, 0x35, 0x9b, 0x50, 0xdd, 0x6d, 0xf4, 0x2b, 0x83, 0xd6, 0xa8, 0x37,
	0xb4, 0x33, 0x1a, 0xae, 0x67, 0x34, 0xfc, 0xb2, 0x9e, 0x91, 0xb7, 0x6b, 0xc5, 0x63, 0x6d, 0x8c,
	0x49, 0x14, 0xa4, 0xc6, 0x9d, 0x72, 0xa3, 0x15, 0x8f, 0xb5, 0xeb, 0xc3, 0xff, 0x38, 0x2c, 0x8f,
	0xc5, 0x91, 0x14, 0x31, 0x23, 0x03, 0x70, 0x70, 0x43, 0x38, 0xb5, 0xd6, 0x88, 0x0c, 0xb3, 0x2b,
	0xb4, 0x52, 0x2b, 0x30, 0x4a, 0xbb, 0x92, 0xea, 0x1d, 0x4a, 0xdc, 0x5a, 0xba, 0x26, 0x77, 0x06,
	0x7b, 0xe8, 0x8c, 0x37, 0xb7, 0x1c, 0x43, 0x03, 0xd5, 0x71, 0xb7, 0xd2, 0xaf, 0xfd, 0xe5, 0x9a,
	0x54, 0xf1, 0x0f, 0xf7, 0xbc, 0x86, 0x47, 0x57, 0xa6, 0x7a, 0x49, 0x43, 0x2e, 0xa8, 0xe6, 0x52,
	0x78, 0xec, 0x26, 0x61, 0xb1, 0x36, 0x51, 0x88, 0x68, 0xc8, 0xf0, 0xa3, 0x6a, 0x1e, 0x9e, 0x4d,
	0x2d, 0xe6, 0x3f, 0x36, 0xe1, 0x31, 0x67, 0xf7, 0x39, 0x1c, 0x20, 0xe1, 0x74, 0x75, 0x11, 0x64,
	0xbc, 0xf9, 0x18, 0xb9, 0xbf, 0xab, 0x40, 0x50, 0x78, 0xcd, 0xa8, 0xf2, 0xe7, 0xf7, 0x48, 0xc9,
	0x67, 0x78, 0xc8, 0x05, 0xd7, 0x9c, 0x2e, 0x26, 0xb8, 0x2e, 0x2e, 0xc5, 0xc4, 0x0c, 0x3f, 0xfd,
	0x9c, 0xfb, 0xd6, 0x74, 0x98, 0x1a, 0xcf, 0x52, 0xdf, 0x1b, 0xaa, 0x19, 0xf9, 0x00, 0x87, 0x33,
	0x2e, 0x0a, 0xb4, 0x5a, 0x29, 0xad, 0x83, 0xb6, 0x3c, 0x6b, 0xd3, 0xdb, 0x9c, 0x8a, 0x90, 0x59,
	0x56, 0xbd, 0x9c, 0xb5, 0xee, 0x0c, 0x5d, 0xc8, 0x3a, 0x87, 0x4e, 0xda, 0x57, 0x86, 0xe4, 0x94,
	0x92, 0xf6, 0x6d, 0x57, 0xb7, 0x9c, 0xad, 0x7f, 0xa9, 0x91, 0xfb, 0x97, 0x46, 0xbf, 0xaa, 0xd0,
	0xc6, 0x78, 0x9c, 0xc9, 0xe5, 0x92, 0x8a, 0x80, 0xbc, 0x83, 0xdd, 0x73, 0x2e, 0x02, 0xb3, 0x30,
	0xf2, 0x74, 0x2b, 0x1a, 0xf9, 0x45, 0xf6, 0x7a, 0x77, 0x84, 0x2c, 0x0d, 0xa4, 0xfb, 0x1f, 0xf9,
	0x04, 0x3b, 0x06, 0x34, 0x5e, 0x2c, 0xc8, 0xb3, 0x22, 0xa7, 0x10, 0xa9, 0xde, 0xe3, 0x22, 0x2d,
	0xce, 0xe0, 0x3e, 0x42, 0xdb, 0xf6, 0x75, 0x49, 0x15, 0x13, 0xba, 0xac, 0xb7, 0x12, 0xda, 0x7b,
	0x68, 0xd8, 0xa4, 0x91, 0xa3, 0x22, 0x67, 0x2b, 0x83, 0x25, 0xa4, 0xd3, 0xbd, 0xaf, 0x6d, 0xdc,
	0xc2, 0x64, 0x9a, 0xcc, 0x66, 0x4c, 0x4d, 0x1b, 0xf8, 0xf4, 0xf2, 0x4f, 0x00, 0x00, 0x00, 0xff,
	0xff, 0x3f, 0xd9, 0x42, 0x37, 0xab, 0x05, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// StockCommandClient is the client API for StockCommand service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type StockCommandClient interface {
	FindById(ctx context.Context, in *QueryByIdRequest, opts ...grpc.CallOption) (*StockResponse, error)
	FindAll(ctx context.Context, in *QueryPaginationRequest, opts ...grpc.CallOption) (*StocksResponse, error)
	FindByParent(ctx context.Context, in *QueryByIdRequest, opts ...grpc.CallOption) (*StocksResponse, error)
	Search(ctx context.Context, in *QuerySearchRequest, opts ...grpc.CallOption) (*StocksResponse, error)
}

type stockCommandClient struct {
	cc grpc.ClientConnInterface
}

func NewStockCommandClient(cc grpc.ClientConnInterface) StockCommandClient {
	return &stockCommandClient{cc}
}

func (c *stockCommandClient) FindById(ctx context.Context, in *QueryByIdRequest, opts ...grpc.CallOption) (*StockResponse, error) {
	out := new(StockResponse)
	err := c.cc.Invoke(ctx, "/stock_query.StockCommand/FindById", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *stockCommandClient) FindAll(ctx context.Context, in *QueryPaginationRequest, opts ...grpc.CallOption) (*StocksResponse, error) {
	out := new(StocksResponse)
	err := c.cc.Invoke(ctx, "/stock_query.StockCommand/FindAll", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *stockCommandClient) FindByParent(ctx context.Context, in *QueryByIdRequest, opts ...grpc.CallOption) (*StocksResponse, error) {
	out := new(StocksResponse)
	err := c.cc.Invoke(ctx, "/stock_query.StockCommand/FindByParent", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *stockCommandClient) Search(ctx context.Context, in *QuerySearchRequest, opts ...grpc.CallOption) (*StocksResponse, error) {
	out := new(StocksResponse)
	err := c.cc.Invoke(ctx, "/stock_query.StockCommand/Search", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// StockCommandServer is the server API for StockCommand service.
type StockCommandServer interface {
	FindById(context.Context, *QueryByIdRequest) (*StockResponse, error)
	FindAll(context.Context, *QueryPaginationRequest) (*StocksResponse, error)
	FindByParent(context.Context, *QueryByIdRequest) (*StocksResponse, error)
	Search(context.Context, *QuerySearchRequest) (*StocksResponse, error)
}

// UnimplementedStockCommandServer can be embedded to have forward compatible implementations.
type UnimplementedStockCommandServer struct {
}

func (*UnimplementedStockCommandServer) FindById(ctx context.Context, req *QueryByIdRequest) (*StockResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindById not implemented")
}
func (*UnimplementedStockCommandServer) FindAll(ctx context.Context, req *QueryPaginationRequest) (*StocksResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindAll not implemented")
}
func (*UnimplementedStockCommandServer) FindByParent(ctx context.Context, req *QueryByIdRequest) (*StocksResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindByParent not implemented")
}
func (*UnimplementedStockCommandServer) Search(ctx context.Context, req *QuerySearchRequest) (*StocksResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Search not implemented")
}

func RegisterStockCommandServer(s *grpc.Server, srv StockCommandServer) {
	s.RegisterService(&_StockCommand_serviceDesc, srv)
}

func _StockCommand_FindById_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryByIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StockCommandServer).FindById(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/stock_query.StockCommand/FindById",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StockCommandServer).FindById(ctx, req.(*QueryByIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StockCommand_FindAll_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryPaginationRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StockCommandServer).FindAll(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/stock_query.StockCommand/FindAll",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StockCommandServer).FindAll(ctx, req.(*QueryPaginationRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StockCommand_FindByParent_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QueryByIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StockCommandServer).FindByParent(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/stock_query.StockCommand/FindByParent",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StockCommandServer).FindByParent(ctx, req.(*QueryByIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _StockCommand_Search_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(QuerySearchRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(StockCommandServer).Search(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/stock_query.StockCommand/Search",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(StockCommandServer).Search(ctx, req.(*QuerySearchRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _StockCommand_serviceDesc = grpc.ServiceDesc{
	ServiceName: "stock_query.StockCommand",
	HandlerType: (*StockCommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "FindById",
			Handler:    _StockCommand_FindById_Handler,
		},
		{
			MethodName: "FindAll",
			Handler:    _StockCommand_FindAll_Handler,
		},
		{
			MethodName: "FindByParent",
			Handler:    _StockCommand_FindByParent_Handler,
		},
		{
			MethodName: "Search",
			Handler:    _StockCommand_Search_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "stock_query.proto",
}
